#ifndef PARSING_PRIVATE_H
# define PARSING_PRIVATE_H
# include <sys/types.h>
# include "../libftx/libftx.h"
# include "./parsing.h"

int		parsing_meta(const char *path);
int		get_token(const char *str);
char	***get_header(const char **file_content, size_t *header_size);
int		header_is_valid(char ***header, t_map *map);
char	**get_body(const char **file_content, size_t header_size);
int		body_is_valid(const char **body, t_map *map);
#endif
